package com.koobietech.eas.common.constant;

public enum Gender {
    MALE("男", "M" ), FEMALE("女", "F");



    private String key;

    private String value;

    public static String getkeyByString(String key){
        return Gender.FEMALE.getKey().equals(key) ? Gender.FEMALE.getValue() : Gender.MALE.getValue();
    }

    Gender(String value, String key) {
        this.key = key;
        this.value = value;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

}
